function [reflevel] = getreflevel(nsections,sectfiles)

%=======================================================
% GETREFLEVEL 95/9/10  BERNADETTE SLOYAN 1995
%
% [reflevel] = getreflevel(nsections,setfiles)
%
% DESCRIPTION:
%    Set the choosen reference levels for all section 
%
% AUTHOR: Bernadette Sloyan 95/9/10
%
%======================================================


       for i= 1:nsections
	 fprintf('Reflevel for section %s {%s}\n', ...
	    num2str(i),sectfiles(i,:));
         reflevel(i) = input(['  (-1=dcom depth, 0=surface, +n=level) ? ']);
       end

