
function checkboxcoords(boxnum);

% function checkboxcoords(boxnum);
%

if ~exist('boxnum')
    geo;
    boxnum=1:size(geometry,1);
end;

for loopnum=1:length(boxnum);
    
    tboxnum=boxnum(loopnum);
    checkgeo('geo');
    hold on;

    eval(['load boxcoords',num2str(tboxnum)]);
    
    dlon=min(5,.025*range(lon));
    dlat=min(5,.025*range(lat));
    lonmat=min(lon)-1:dlon:max(lon)+1;
    latmat=min(lat)-1:dlat:max(lat)+1;

    lonmat=ones(length(latmat),1)*lonmat;
    latmat=latmat'*ones(1,size(lonmat,2));
    inbox=NaN*ones(size(lonmat));

    

    q=find(isinpoly(lonmat,latmat,lon,lat));
    plot(lonmat(q),latmat(q),'.');
    hold off;

    if (range(lon)>300)
        axis([-180 180 -90 90])
    elseif (range(lon)>90)
        axis([min(min(lon)-10,-100) max(lon)+10 ...
            min(lat)-10 max(lat)+10]);
    else
        axis([min(min(lon))-.1*range(lon) ...
            max(max(lon))+.1*range(lon) ...
            min(min(lat))-.1*range(lat) ...
            max(max(lat))+.1*range(lat)]);
    end;
    set(gca,'dataaspectratio',[1 1 1])
    title(['Box ',num2str(tboxnum)],'fontsize',15);
    pause(.2);
    
end;    % loop over boxnum