
% compterms.m
%
% compare the magnitude of the v_ref, w* and F* terms
% in A*x or A*x_(a priori)

if (1)	% a priori values of x
  xc=sqrt(diag(Rxx));
else	% solution values
  xc=x;
end;

Axc=A.*(ones(length(b),1)*xc');

layernum=round(nlayers/2);
propnum=2;
boxnum=1;

terms=[NaN NaN NaN];

vterms=Axc(indb(layernum,propnum,boxnum),indv(:));
terms(1)=sum(vterms);

wterms=Axc(indb(layernum,propnum,boxnum), ...
	indw(:,propnum,boxnum));
terms(2)=sum(wterms);

fterms=Axc(indb(layernum,propnum,boxnum), ...
        indF(:,:,:));
terms(3)=sum(fterms);


