
% p03_con: southward fluxes (>0) across P03 (24N).
%	Contraints modified from Ganachaud (1999).

BoxNum=getboxnum(-155,20,nboxes);
sectlon=lon(find(sectlabel==sectname2sectnum('p03')));

% 0+-2 Sv at gamma>27.52 into Okinawa Trough
layernum=find(glayers>27.52);
statnum=find(sectlon>125 & sectlon<127);
sectnum=sectname2sectnum('p03');
propnum=1;boxnum=BoxNum;
fluxvalue=0;fluxerror=2e6;
addcon;

% 0+-2 Sv at gamma>28.04 into N.Phil.Basin
layernum=find(glayers>28.04);
statnum=find(sectlon>127 & sectlon<141);
sectnum=sectname2sectnum('p03');
propnum=1;boxnum=BoxNum;
fluxvalue=0;fluxerror=2e6;
addcon;

clear BoxNum sectlon;
