
% getrefvel.m
%
% click on the output of plotrefvel.m
% to define a polygon; use isinpoly to
% isolate those velocities within the polygon;
% calculate the mean (not the sum) of those
% velocities, along with their error.

disp('Click to define polygon.');
[i,j]=ginput;
q=find(isinpoly(lon,lat,i,j));
q=indv(q);

l=sum(x(q))/length(q)*100;
fprintf(' %3.1f ',l);

l=Pxx(q,q);
l=l(find(l<9e99));
l=sqrt(sum(l))/length(l)*100;
% CHECK THE FACTOR OF 1/LENGTH(L)
fprintf(' +- %3.1f cm/s',l);
fprintf(' mean, %d pair(s).\n',length(q));
