
% data in "mprop*" contain the box number, so the
% file cannot simply be renamed for a new geometry
% with the same box, but a new number.
%   This routine identifies data ending in
%   "oldboxnum" and renames them to end in "newboxnum"

clear all;

oldboxnum=18;
newboxnum=oldboxnum-2;

eval(['load mprop_atl',num2str(oldboxnum)]);
vars=whos;
for i=1:size(vars,1);
  vn=vars(i).name;
  vn=vn(length(vn)+1-length(num2str(oldboxnum)): ...
        length(vn));
  if strcmp(vn,num2str(oldboxnum))
    eval([vars(i).name(1:length(vars(i).name)- ...
	length(vn)),num2str(newboxnum),'=', ...
	vars(i).name,';']);
    eval(['clear ',vars(i).name]);
  end;
end;

eval(['save mprop_atl',num2str(newboxnum),' *atl*']);
