
% a01e: northward fluxes against Cape Farvel

sectlon=lon(find(sectlabel==sectname2sectnum('a01e')));

% Bacon (1997): the net flux of the EGC from Greenland
% to the 2000m isobath is -15 Sv.
sectnum=sectname2sectnum('a01e');
boxnum=BoxNum;
statnum=find(sectlon<=-41.15);
propnum=1; layernum=nlayers+1;
fluxvalue=-15e6; fluxerror=2e6;
addcon;

% Bersch (1995), Fig.15: 
%  the total flux of the EGC is -32.2+-4.6 Sv
sectnum=sectname2sectnum('a01e');
boxnum=BoxNum;
statnum=find(sectlon<=-35.8);
propnum=1; layernum=nlayers+1;
fluxvalue=-32.2e6; fluxerror=3.2e6;
addcon;

clear BoxNum sectlon;
