
% ar07w_a_con: fluxes from northwest Labrador Sea into
% southeast Labrador Sea / North Atlantic Ocean.

% Lazier and Wright, 1993: the Lab. Current is 11.0 Sv
% (error bars are +-.2 Sv on BC part; none given for BT),
% with a width of 100km
sectnum=sectname2sectnum('ar07w_a');
boxnum=BoxNum;
statnum=16:23;
propnum=1; layernum=nlayers+1;
fluxvalue=11e6; fluxerror=2e6;
addcon;

% Lazier and Wright: the total export in
% the western Lab Sea, including the DWBC,
% is 37~Sv.
sectnum=sectname2sectnum('ar07w_a');
boxnum=BoxNum;
statnum=12:23;
propnum=1; layernum=nlayers+1;
fluxvalue=37e6; fluxerror=5e6;
addcon;

% 0+-.2 Sv deep water across Lab Sea section
sectnum=sectname2sectnum('ar07w_a');
boxnum=BoxNum;
statnum=[];
propnum=1; layernum=find(glayers>=27.987 & glayers<28.13);
fluxvalue=0; fluxerror=.2e6;
addcon;

% 0+-.2 Sv bottom water across Lab Sea section
sectnum=sectname2sectnum('ar07w_a');
boxnum=BoxNum;
statnum=[];
propnum=1; layernum=find(glayers>=28.13);
fluxvalue=0; fluxerror=.2e6;
addcon;

clear BoxNum;
