function meanlayerplot(f,df,glayers,colr);

% function meanlayerplot(f,df,glayers,colr);
%

holdstatus=ishold;

if (~exist('colr'))
  colr='b';
end;

layers=(1:length(glayers))';
lab=[' 20 ';' 24 ';'26.5';' 28 ';'28.2';'28.5'];
tik=NaN*ones(length(lab),1);
for i=1:length(lab);
  q=find(glayers<=str2num(lab(i,:)));
  tik(i)=layers(last(q));
end;
 
layers=-layers;
tik=-tik;
[tik,i]=sort(tik);
lab=lab(i,:);

plot(0,0,'.','markersize',1);
% plot a vertical grey line at prop=0
line([0 0],[min(layers) max(layers)], ...
        'color',[.5 .5 .5]);

waterdiv;

F=NaN*ones(length(waterdivs)+1,1);
dF=F; L=F;
for i=1:length(F);
  if (i==1)
    q=find(glayers<waterdivs(1) & f~=0);
  elseif (i==length(F))
    q=find(glayers>=last(waterdivs) & f~=0);
  else
    q=find(glayers>=waterdivs(i-1) & ...
	 glayers<waterdivs(i) & f~=0);
  end;
  if (length(q))
    %F(i)=mean(f(q));
F(i)=sum(f(q));
    dF(i)=sqrt(sum(df(q).^2))/length(q);
dF(i)=sqrt(sum(df(q)));
    %F(i)=sum(f(q));
    %dF(i)=sqrt(sum(df(q).^2));
    L(i)=mean(layers(q));
  end;
end;

hold on;
for i=1:length(F);
  errorbarh(F(i),L(i),dF(i),1,'.',colr);
end;
hold off;
box on;

set(gca,'ytick',tik,'yticklabel',lab);
xlim=get(gca,'xlim');

for wi=1:length(waterdivs);
  q=find(glayers<=waterdivs(wi));
  line([-10*max(abs(F+dF)) 10*max(abs(F+dF))], ...
	[-last(q) -last(q)],'color',[.5 .5 .5]);
end;

set(gca,'xlim',xlim);
set(gca,'ylim',[min(layers) max(layers)]);

if (holdstatus);
  hold on;
end;
