function plotFm(boxnum)

% function plotFm(boxnum)
% loop through the climatologies, plotting
% the Fm curve for each.

climnum=4;

for ind=1:climnum;
    eval(['load airsea_',num2str(ind), ...
            '_',num2str(boxnum)]);
    
    if (ind==1) marktype='b';
    elseif (ind==2) marktype='r';
    elseif (ind==3) marktype='--r';
    elseif (ind==4) marktype='k';
    end;
    subplot(211)
    plot(.5:length(glayers)+.5,Fm(1,:)/1e6,marktype);
    set(gca,'xlim',[1 length(glayers)]);
    if (ind==1) hold on;
    elseif (ind==climnum) hold off;
    end;
    subplot(212)
    plot(Mm(1,:)/1e6,marktype);
    if (ind==1) hold on;
    elseif (ind==climnum) hold off;
    end;
end;

