% plot raw drifter data for QC purposes

ID=unique(ids);
for i=1:length(ID);
    qs=find(ids==ID(i));
    qp=find(idp==ID(i));
    
    figure(1);  % position data
    subplot(311);
    plot(lon(qp),lat(qp));
    hold on; 
    plot(lon(qp(1)),lat(qp(1)),'hk','markersize',6);
    hold off;
    title(num2str(ID(i)),'fontsize',15);
    asprat;
    subplot(312);
    plot(t(qp)-10000,lon(qp),t(qp)-10000,lon(qp),'.');
    title('lon')
    subplot(313);
    plot(t(qp)-10000,lat(qp),t(qp)-10000,lat(qp),'.');
    title('lat');
    
    figure(2);  % sensor data
    subplot(211)
    plot(ts(qs)-10000,sst(qs),ts(qs)-10000,sst(qs),'.')
    title('SST')
    subplot(212);
    plot(ts(qs)-10000,drogue(qs),ts(qs)-10000,drogue(qs),'.');
    title('drogue')
    
    pause;
end;
